LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-14-2003, 11:50 AM   #1
rose_bud4201
Member
 
Registered: Aug 2002
Location: St Louis, MO
Distribution: Xubuntu, RHEL, Solaris 10
Posts: 929

Rep: Reputation: 30
gtk+-2.0 development headers


I'm sorry, I know this is the age-old problem of installing gaim (v.0.66) from source.
I think I've got everything installed, the updated glib, gtk, etc, but I still get

checking for GTK+ - version >= 2.0.0... no
*** Could not run GTK+ test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.
configure: error:
*** GTK+ 2.0 is required to build Gaim; please make sure you have the GTK+
*** development headers installed. The latest version of GTK+ is
*** always available at http://www.gtk.org/.

I installed gtk+2.0-2.0.6 via mandrake's package manager, so I know I have a working, updated version of gtk. However, I can't find the "GTK development headers" for any version > 1.2 anywhere (gtk.org only has gtk, not gtk-devel, apparently)...does anyone have an idea where devel headers for version 2 can be found??

Laura
 
Old 08-14-2003, 02:30 PM   #2
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,417

Rep: Reputation: 1982Reputation: 1982Reputation: 1982Reputation: 1982Reputation: 1982Reputation: 1982Reputation: 1982Reputation: 1982Reputation: 1982Reputation: 1982Reputation: 1982
the rpms are on your distro cd's. the reason that gtk.org doesn't have it is that a -devel package is a precompiled affair.. RPMS and such like, which is nothing to do with gtk itself. look fro gtk-devel.blah.rpm on the cd's.
 
Old 08-14-2003, 10:10 PM   #3
rose_bud4201
Member
 
Registered: Aug 2002
Location: St Louis, MO
Distribution: Xubuntu, RHEL, Solaris 10
Posts: 929

Original Poster
Rep: Reputation: 30
Hmm...that's what I thought, too, but the only gtk entries available for install off of the Mandrake CDs with "-devel" in them are libexif-gtk4-0.3.2, libgtk+-x11-2.0_0-devel (a possibility? I don't understand the extra "x11"), libgtk+1.2-devel (which looks almost right, except for the wrong version...I know gaim has removed all support for gtk < 2.0, don't know about which version the devel headers have to be...?) and libgtkspell0-devel, which doesn't look quite right either.

Can I use the 1.2 headers?

thanks very much
 
Old 08-15-2003, 10:58 AM   #4
rose_bud4201
Member
 
Registered: Aug 2002
Location: St Louis, MO
Distribution: Xubuntu, RHEL, Solaris 10
Posts: 929

Original Poster
Rep: Reputation: 30
*chuckles*
Y'know, sometimes on this site _not_replying is the best thing for us answer-seekers
I read what I'd written above, said "wait a minute, the x11 package just might work!", installed it, and it worked like a charm. Thanks so much!
 
Old 10-23-2003, 12:57 AM   #5
Rico16135
Member
 
Registered: Aug 2003
Location: Texas, USA
Distribution: Slackware 9.1, SuSE 9.1
Posts: 245

Rep: Reputation: 30
man.. same problem different answer, but i sure am getting tired of mandrake not bundling their os with the proper libraries. its a daily fight for me with these devel packages. perhaps its time to move on to a new distro.
 
Old 10-23-2003, 10:06 AM   #6
rose_bud4201
Member
 
Registered: Aug 2002
Location: St Louis, MO
Distribution: Xubuntu, RHEL, Solaris 10
Posts: 929

Original Poster
Rep: Reputation: 30
Well, as far as another distro goes I'm playing with Slackware now, and completely loving it
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
which is the best ide development tool for GTK? Gregor Programming 3 05-08-2005 03:55 PM
gaim-encryption GTK headers slackwarefan Linux - Software 1 07-20-2004 02:15 PM
gtk development packages contrasutra Slackware 4 06-11-2003 08:45 PM
glib & gtk headers Donald1000 Solaris / OpenSolaris 1 06-08-2003 12:19 PM
gtk development error Morpheus Linux - Software 1 03-06-2003 03:29 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 03:28 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration